import { Injectable } from "@nestjs/common";
import { fetchAllSpecials } from "src/helper/dutchie-plus-query";
import { getGraphQLClient } from "src/helper/graphql-client-helper";

@Injectable()
export class SpecialsService {

    async findAll(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchAllSpecials();
            const data = await graphQLClient.request(query, variables);
            return data;
        } catch (e) {
            return e;
        }
    }
}
